> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/software-delivery-agent-apis/database-devops/database-snapshot.md).

# Database Snapshot

This contains APIs for managing database snapshots and snapshot metadata

## Get object names from DB snapshot metadata

> Retrieves a paginated list of object names for the latest database snapshot of the given instance based on object type

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for managing database snapshots and snapshot metadata","name":"Database Snapshot"}],"paths":{"/v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/dbinstance/{dbinstance}/snapshot-object-names":{"get":{"description":"Retrieves a paginated list of object names for the latest database snapshot of the given instance based on object type","operationId":"V1GetSnapshotObjectNames","parameters":[{"$ref":"#/components/parameters/PageIndex"},{"$ref":"#/components/parameters/Limit"},{"description":"Type of database object (e.g., Table, etc)","in":"query","name":"objectType","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/SnapshotObjectNamesResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get object names from DB snapshot metadata","tags":["Database Snapshot"]}}},"components":{"parameters":{"PageIndex":{"description":"Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.","in":"query","name":"page","schema":{"default":0,"format":"int64","type":"integer"}},"Limit":{"description":"Pagination: Number of items to return.","in":"query","name":"limit","schema":{"default":10,"maximum":100,"type":"integer"}}},"responses":{"SnapshotObjectNamesResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapshotObjectNamesOutput"}}},"description":"Response body for snapshot object names","headers":{"X-Page-Number":{"description":"Page number in Paginated response.","schema":{"type":"integer"}},"X-Page-Size":{"description":"Maximum page size in Paginated response.","schema":{"type":"integer"}},"X-Total-Elements":{"description":"Total number of elements returned in Paginated response.","schema":{"type":"integer"}}}},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"SnapshotObjectNamesOutput":{"description":"Response containing list of object names from snapshot metadata","properties":{"data":{"description":"List of object names for the given snapshot and object type","items":{"description":"Name of a database object","type":"string"},"type":"array"}},"required":["data"],"title":"SnapshotObjectNamesOutput","type":"object"},"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```

## Get object values from DB snapshot metadata

> Retrieves object values for a list of object names from the latest database snapshot of the given instance based on object type

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for managing database snapshots and snapshot metadata","name":"Database Snapshot"}],"paths":{"/v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/dbinstance/{dbinstance}/snapshot-object-values":{"post":{"description":"Retrieves object values for a list of object names from the latest database snapshot of the given instance based on object type","operationId":"V1GetSnapshotObjectValues","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapshotObjectValuesInput"}}},"required":true},"responses":{"200":{"$ref":"#/components/responses/SnapshotObjectValuesResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get object values from DB snapshot metadata","tags":["Database Snapshot"]}}},"components":{"schemas":{"SnapshotObjectValuesInput":{"description":"Request containing object type and list of object names","properties":{"objectNames":{"description":"List of object names to retrieve values for","items":{"description":"Name of a database object","type":"string"},"type":"array"},"objectType":{"description":"Type of database object (e.g., Table, etc)","type":"string"}},"required":["objectType","objectNames"],"title":"SnapshotObjectValuesInput","type":"object"},"SnapshotObjectValuesOutput":{"description":"Response containing list of object values from snapshot metadata","properties":{"data":{"description":"List of object values for the given snapshot and object type","items":{"$ref":"#/components/schemas/SnapshotObjectValue"},"type":"array"}},"required":["data"],"title":"SnapshotObjectValuesOutput","type":"object"},"SnapshotObjectValue":{"description":"Object value from snapshot metadata","properties":{"objectName":{"description":"Name of the database object","type":"string"},"objectValue":{"description":"Value of the database object","type":"string"}},"required":["objectName","objectValue"],"title":"SnapshotObjectValue","type":"object"},"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}},"responses":{"SnapshotObjectValuesResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapshotObjectValuesOutput"}}},"description":"Response body for snapshot object values"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}}}}
```
